Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.servlet.security
Class CertificateServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              weblogic.servlet.security.CertificateServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

public final class CertificateServlet
extends HttpServlet

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `myLanguage`
`static Locale` | `myLocale`
`protected com.rsa.jsafe.JSAFE_SecureRandom` | `secRan`

Constructor Summary
`CertificateServlet()`

Method Summary
`void` | `service(HttpServletRequest request, HttpServletResponse response)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myLanguage

    public static final String myLanguage

### myLocale

    public static final Locale myLocale

### secRan

    protected com.rsa.jsafe.JSAFE_SecureRandom secRan

Constructor Detail

### CertificateServlet

    public CertificateServlet()

Method Detail

### service

    public void service(HttpServletRequest request,
                        HttpServletResponse response)
                 throws ServletException,
                        IOException

  Throws:
    `ServletException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD